19 Replies Latest reply: Oct 3, 2012 3:57 PM by swp4u RSS

    Flash-plugin not working

    swp4u

      Operating System is Linux (OEL) 5.5.

      After upgrading browser to FIrefox 10.0.5, Adobe download site recommended Flash-plugin 11.2.202.236.  Installed on Linux  using 'rpm'.  Started browser and entered 'about:plugin" which listed the shockwave flash plugin.  BUT, when URL to the Adobe test page entered, the flash 'movie' did not display anything .. just blank box.  I've deinstalled and reinstalled, and searched numerous websites for help .. but nothing helpful.  PLEASE, help!

        • 1. Re: Flash-plugin not working
          libflashplayer.so Adobe Employee

          what version of the rpm did you install?  the binary must match firefox, meaning if  your firefox is 32-bit, you'll need to install the 32-bit rpm. if your firefox is 64-bit, you'll need to install the 64-bit rpm.

           

          assuming you installed the correct rpm, it may be that firefox doesn't know where to search for the libflashplayer.so binary

           

          what you can do is symlink it from a location firefox does know where to look, usually ~/.mozilla/plugins

          to do that lets go through these steps...

           

          find out where the binary is installed (as root in a terminal window type): rpm -ql flash-plugin

          in my 64-bit example the binary is installed here - /usr/lib64/flash-plugin/libflashplayer.so

           

          lets symlink to it from you home mozilla directory (as yourself in a terminal window):

          move to the folder (type in terminal): cd ~/.mozilla/plugins

          Note: if the folder doesn't exist, create it and do the command above(as yourself in terminal type): mkdir ~/.mozilla/plugins

          link the binary (as yourself in terminal type): ln -s /usr/lib64/flash-plugin/libflashplayer.so .

          quit out of firefox and restart your browser

           

          hope that helps...

          • 2. Re: Flash-plugin not working
            swp4u Community Member

            Thank you very much for your reply.

            These are the files I downloaded from adobe.com:

             

            [swp@mysrvr ~]$ cd Desktop/

            [swp@mysrvr Desktop]$ ll

            total 24744

            -rw-rw-r-- 1 swp swp  6897842 Jun 12 10:45 flash-plugin-11.2.202.236-release.i386.rpm

            -rw-rw-r-- 1 swp swp 18360320 Jun 12 16:38 install_flash_player_11_linux.i386.tar

             

            I first tried using 'rpm -Uvh flash-plugin-11.2.202.236-release.i386.rpm'

            > this installed, then 'rpm -qa' did show the new version; but test page on adobe site didn't play.

             

            I also tried untarring the 'install..tar' file, moved the .so file to home directory,

            > but again,  test page on adobe site didn't play.

             

            So, going through your steps, first found 'firefox' binary:

            swp@mysrvr plugins]$ which firefox

            /usr/bin/firefox

            [swp@mysrvr plugins]$ cd /usr/bin/

            [swp@mysrvr bin]$ ll firefox

            -rwxr-xr-x 1 root root 6540 Jun  5 23:33 firefox

             

            Then, looked for the flash-plugin using your command:

            [swp@mysrvr Desktop]$ su

            Password:

            [root@mysrvr Desktop]# rpm -ql flash-plugin

            /usr/bin/flash-player-properties

            /usr/lib/flash-plugin

            /usr/lib/flash-plugin/LICENSE

            /usr/lib/flash-plugin/README

            /usr/lib/flash-plugin/homecleanup

            /usr/lib/flash-plugin/libflashplayer.so

            /usr/lib/flash-plugin/setup

            /usr/lib/kde4/kcm_adobe_flash_player.so

            /usr/share/applications/flash-player-properties.desktop

            /usr/share/doc/flash-plugin-11.2.202.236

            /usr/share/doc/flash-plugin-11.2.202.236/readme.txt

            /usr/share/icons/hicolor/16x16/apps/flash-player-properties.png

            /usr/share/icons/hicolor/22x22/apps/flash-player-properties.png

            /usr/share/icons/hicolor/24x24/apps/flash-player-properties.png

            /usr/share/icons/hicolor/32x32/apps/flash-player-properties.png

            /usr/share/icons/hicolor/48x48/apps/flash-player-properties.png

            /usr/share/kde4/services/kcm_adobe_flash_player.desktop

            [root@mysrvr Desktop]#

             

            Then, created the sym-link using command you provided:

            [swp@mysrvr Desktop]$ cd ../.mozilla/plugins/

            [swp@mysrvr plugins]$ ll

            [swp@mysrvr plugins]$ ln -s /usr/lib/flash-plugin/libflashplayer.so

            [swp@mysrvr plugins]$ ll

            lrwxrwxrwx 1 swp swp       39 Jun 13 17:24 libflashplayer.so -> /usr/lib/flash-plugin/libflashplayer.so

            [swp@mysrvr plugins]$

             

            Closed, restarted Firefox, but once again, still no dispay on the adobe.com test page:

              http://helpx.adobe.com/flash-player/kb/find-version-flash-player.html

             

            In firefox, access 'about:plugins' provides this confirmation the plugin is there:

             

            Enabled plugins

            Find more information about browser plugins at mozilla.org.

            Find updates for installed plugins at mozilla.com/plugincheck.

            Help for installing plugins is available from plugindoc.mozdev.org.

            Shockwave Flash

             

                File: nswrapper_32_32.libflashplayer.so

                Version:

                Shockwave Flash 11.2 r202

             

            MIME Type     Description     Suffixes

            application/x-shockwave-flash     Shockwave Flash     swf

            application/futuresplash     FutureSplash Player     spl

            NPAPI Plugins Wrapper 1.3.0

             

                File: npwrapper.so

                Version:

                nspluginwrapper is a cross-platform NPAPI plugin viewer, in particular for linux/i386 plugins.

                This beta software is available under the terms of the GNU General Public License.

             

            MIME Type     Description     Suffixes

            unknown/mime-type     Do not open     none

             

            Within Firefox, access 'Help | About Firefox' shows "Firefox ESR 10.0.5"

             

            Hope this information helps you.

            I will gladly let you look at this or give you any screen shots or files you need to help troubleshoot this.

             

            thank you very much!

            shane.//

            • 3. Re: Flash-plugin not working
              libflashplayer.so Adobe Employee

              maybe try uninstalling nspluginwrapper?  it should not be needed for anything...

              • 4. Re: Flash-plugin not working
                libflashplayer.so Adobe Employee

                also, if the firefox version was a default install, it may actually be 64-bit.  so, you would have to install the x86_64 rpm rather.  there is incompatibilities/conflict with the native 64-bit flash binary and nspluginwrapper, so it would be best to uninstall it.  thanks...

                • 5. Re: Flash-plugin not working
                  swp4u Community Member

                  I had previously tried (based on documentation for Troubleshooting) starting the Firefox in safe-mode without any difference.  Based on your input, I specifically set the nspluginwrapper to DISABLED, restarted FF and still no difference.

                  • 6. Re: Flash-plugin not working
                    swp4u Community Member

                    As for your suggestion Firefox might be 64-bit, I am fairly certain this is 32-bit Linux (OEL 5.5) as seen here:

                    [root@mysrvr plugins]# uname -m

                    i686

                    [root@mysrvr plugins]# uname -an

                    Linux mysrvr.world 2.6.18-194.el5 #1 SMP Mon Mar 29 20:06:41 EDT 2010 i686 i686 i386 GNU/Linux

                     

                    Notice it says i686, not i686_64 as seen in the firefox executable script:

                    MOZ_ARCH=$(uname -m)

                    case $MOZ_ARCH in

                            x86_64 | s390x | sparc64)

                                    MOZ_LIB_DIR="/usr/lib64"

                                    SECONDARY_LIB_DIR="/usr/lib"

                                    ;;

                            * )

                                    MOZ_LIB_DIR="/usr/lib"

                                    SECONDARY_LIB_DIR="/usr/lib64"

                     

                    [swp@mysrvr plugins]$ cd /usr/

                    [swp@mysrvr usr]$ ls

                    bin  etc  games  include  kerberos  lib  libexec  local  sbin  share  src  tmp  X11R6

                     

                    There is no /usr/lib64, just the /usr/lib .. doesn't that confirm this is 32-bit?

                     

                    Is JAVA plugin a pre-requisite requirement for Flash-plugin?

                    Is Firefox 10.0.5 and Flash-plugin 11.2.202.236 compatible/certified?

                    Is there some utility/tool to assist troubleshooting this?

                    thank you.

                    • 7. Re: Flash-plugin not working
                      libflashplayer.so Adobe Employee

                      you firefox is picking up something for the flash binary.  so there may be more than 1 installed on your sytem and it's somehow confused.

                       

                      There is no /usr/lib64, just the /usr/lib .. doesn't that confirm this is 32-bit? from your uname ocmmand it looks like it's NOT 64-bit

                      Is JAVA plugin a pre-requisite requirement for Flash-plugin? no, this is not required

                      Is Firefox 10.0.5 and Flash-plugin 11.2.202.236 compatible/certified? we do not run a certification on your distro, but it should have been tested on RHEL/openSuse/Ubuntu

                      Is there some utility/tool to assist troubleshooting this?  no, there is no utility for troubleshooting this.  installation instructions are available here: http://helpx.adobe.com/flash-player/release-note/readme-flash-player-linux.html

                       

                       

                      lets completely uninstall the flash player...

                      1. (run as root): rpm -e flash-plugin

                      2. go to the version page to make sure nothing is picked up: http://www.adobe.com/software/flash/about/

                      3. download the flash player tarball: http://get.adobe.com/flashplayer/otherversions/

                      4. choose Linux (32-bit) > x.tar.gz

                      5. save it and unpack it

                      6. copy libflashplayer.so to your ~/.mozilla/plugins directory

                      7. restart firefox and go to the version page

                      • 8. Re: Flash-plugin not working
                        swp4u Community Member

                        Thank you for your repy;

                        > i did exactly as you suggested with only deviation the URL to the 'version page' which is:

                           http://helpx.adobe.com/flash-player/kb/find-version-flash-player.html

                        > on that page, the Flash box is empty,

                        > when I enter 'about:plugins' I see this display:

                        Shockwave Flash

                        File: libflashplayer.so
                        Version:
                        Shockwave Flash 11.2 r202
                        application/x-shockwave-flashShockwave Flashswf
                        application/futuresplashFutureSplash Player

                        spl

                        NPAPI Plugins Wrapper 1.3.0

                        File: npwrapper.so
                        Version:
                        nspluginwrapper  is a cross-platform NPAPI plugin viewer, in particular for linux/i386 plugins.
                        This beta software is available under the terms of the GNU General Public License.
                        unknown/mime-typeDo not opennone
                        • 9. Re: Flash-plugin not working
                          libflashplayer.so Adobe Employee

                          so, after you uninstalled, did you make sure no other player was being picked up?  restart the browser and do the about:plugins and go to the version page.  you should not have anything installed prior to copying over the binary to ~/.mozilla/plugins

                          • 10. Re: Flash-plugin not working
                            swp4u Community Member

                            Yes, I have made as sure as I could be the 'old' was deleted before the new; just as you described.

                            thank you.

                            • 11. Re: Flash-plugin not working
                              libflashplayer.so Adobe Employee

                              it there a reason you have nspluginwrapper installed?  you could try to uninstall that to see if that is preventing flash to work...

                              • 12. Re: Flash-plugin not working
                                libflashplayer.so Adobe Employee

                                ok, i had a chance to download Oracle Enterprise Linux 5 Update 8.  i did a basic install and it came with firefox 3.6.  i copied the libflashplayer.so file to ~/.mozilla/plugins and firefox did not load the plugin. 

                                 

                                do you have selinux running?

                                 

                                well i saw the error and ran the recommended command, in terminal, to allow the loading of the binary:

                                chcon -t textrel_shlib_t '/home/labuser/.mozilla/plugins/libflashplayer.so'

                                 

                                change the path to your location and see if that helps...

                                 

                                i have entered an internal bug for the TEXTREL, but it may be difficult to resolve since our last supported shipping version is 11.2...

                                • 13. Re: Flash-plugin not working
                                  swp4u Community Member

                                  Thank you for the response.

                                  (Sorry for delay in responding with feedback, was away for a bit)

                                  I tried the command you suggested and got the following message returned:

                                  $ chcon -t textrel_shlib_t '/home/oracle/.mozilla/plugins/libflashplayer.so'

                                  chcon: can't apply partial context to unlabeled file /home/oracle/.mozilla/plugins/libflashplayer.so

                                  fyi:

                                  [oracle@mysrvr .mozilla]$ cd plugins/

                                  [oracle@mysrvr plugins]$ ls -la

                                  total 17040

                                  drwxr-xr-x 2 oracle oracle     4096 Jun 19 14:45 .

                                  drwxr-xr-x 5 oracle oracle     4096 May 31  2010 ..

                                  -rw-rw-r-- 1 oracle oracle 17406436 Jun 19 14:45 libflashplayer.so

                                  [oracle@mysrvr plugins]$ pwd

                                  /home/oracle/.mozilla/plugins

                                  I ran the command as the user 'oracle'

                                  You mentioned a Bug filed, is there any resolution possible?

                                  Should I just try install a new version of Firefox from the Mozilla site?

                                  (current version having problem is the "Firefox ESR 10.0.5"

                                  thank you.

                                  • 14. Re: Flash-plugin not working
                                    libflashplayer.so Adobe Employee

                                    did you try running the command as root?

                                     

                                    in terminal change to user root:

                                    $ sudo root

                                     

                                    it will prompt you for root password.  enter the password and the promt should turn from $ to #

                                    at that time try the command: chcon -t textrel_shlib_t '/home/oracle/.mozilla/plugins/libflashplayer.so'

                                     

                                    also, the bug would only apply to the flash player binary.  it does not have anything to do with firefox at all.

                                    • 15. Re: Flash-plugin not working
                                      crazymelsa

                                      I too am experiencing these problems.  I uninstalled the latest flash, then reinstalled version 10 something to fix this.  I am running Windows Vista 64-bit, the latest Firefox beta as recommended, and the latest Yahoo messenger.  The problem is, if I pull up IE which I need for cloud access for work, then it automatically installs the latest version for my pc, which is buggered, and I'm back to flash not displaying facebook or ad content across the web  in Firefox and crashing when I exit Yahoo.  I receive successful installation each time, but cannot access settings manager immediately after install.

                                       

                                      The only helpful notice I receive is in yahoo messenger as it exits.  I receive the message "flash.ocx no longer part of windows" as the crash error when exiting Yahoo messenger, then it wants me to go back and install it again. Facebook content never loads, and ads pull up blank windows I can't exit.  It's very frustrating. Any suggestions other than keep rolling back?

                                      • 16. Re: Flash-plugin not working
                                        swp4u Community Member

                                        Hello,

                                        Thank you for suggestion to try command as 'root'.

                                        See results:

                                        [oracle@mysrvr plugins]$ su

                                        Password:

                                        [root@mysrvr plugins]# chcon -t textrel_shlib_t '/home/oracle/.mozilla/plugins/libflashplayer.so'

                                        chcon: can't apply partial context to unlabeled file /home/oracle/.mozilla/plugins/libflashplayer.so

                                        [root@mysrvr plugins]# whoami

                                        root

                                        [root@mysrvr plugins]#

                                         

                                        Unfortunately, same results.

                                        Should I just try install a new version of Firefox from the Mozilla site?

                                        (current version having problem is the "Firefox ESR 10.0.5"

                                        thank you.

                                        • 17. Re: Flash-plugin not working
                                          libflashplayer.so Adobe Employee

                                          the firefox version should not matter, but it is worth a try.

                                           

                                          @crazymelsa the orignal post pertains to a linux based OS.  your issue would be different.  would you mind to please start a new thread.  thanks...

                                          • 18. Re: Flash-plugin not working
                                            libflashplayer.so Adobe Employee

                                            thought you should know...  our internal bug has been marked fixed and should roll out in the next backport.  scheduling has not been confirmed, so we are unable to comment when it will occur.  thanks.

                                            • 19. Re: Flash-plugin not working
                                              swp4u Community Member

                                              I found through extensive Google searches that other users experience similar severe frustration and problems with the Flash-plugin 11.2.202.236.  Others recommended to find and use the 'supported' 10.3 version, which I did and it works!  So, I removed all traces of 11.2 and then disabled the Autoupdate in Firefox in order to keep the 10.3.

                                              Closing this thread.